<!DOCTYPE html>
<html lang="pt-BR">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="https://fonts.googleapis.com/css2?family=Sen:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="style.css">
    <link rel="shortcut icon" href="https://emojipedia-us.s3.dualstack.us-west-1.amazonaws.com/thumbs/240/microsoft/209/orange-heart_1f9e1.png" type="image/x-icon">
    
    <title>Formulário de Cadastro</title>
</head>

<body>

    <div class="container">

        <h1>Formulário de Contato</h1>

        <form action="post" action="">

            <fieldset>

                <legend>Informações do Usuário: </legend>

                <div class="inputs-user">
                    <label for="userCompleteName"> Nome completo:
                        <input id="userCompleteName" placeholder="Escreva se nome completo" type="text" required>
                    </label>
                    <br>
                    <output id="outputName" class="output-name-off">O campo foi preenchido com caracteres inválidos</output>

                </div>

                <div class="inputs-user">
                    <label for="userBirthDate"> Data de nascimento:
                        <input id="userBirthDate" type="date" required>
                    </label>
                    <br>
                    <output id="outputNasc" class="output-nasc-off">Preencha o campo corretamente com dd/mm/aaaa</output>
                </div>
                
                <div class="inputs-user">
                    <label for="userCEP"> CEP:
                        <input id="userCEP" placeholder="04000 - 000" type="text" required>
                    </label>
                </div>

                <div class="street-number">
                    <div class="inputs-user">
                        <label for="userStreet"> Rua:
                            <input id="userStreet" placeholder="Rua 23 de maio" type="text" required>
                        </label>
                    </div>
                    <div class="inputs-user">
                        <label for="userAddressNumber"> Número:
                            <input id="userAddressNumber" placeholder="Tangamandápio" type="text" required>
                        </label>
                    </div>

                </div>

                <div class="inputs-user">
                    <label for="userNeighborhood"> Bairro:
                        <input id="userNeighborhood" placeholder="Grajau" type="text" required>
                    </label>
                    <br>
                    <output id="outputNeighborhood" class="output-neighborhood-off">O campo foi preenchido com caracteres inválidos</output>
                </div>

                <div class="inputs-user">
                    <label for="userCity"> Cidade:
                        <input id="userCity" placeholder="Tangamandápio" type="text" required>
                    </label>
                    <br>
                    <output id="outputCity" class="output-city-off">O campo foi preenchido com caracteres inválidos</output>
                </div>

                <div class="inputs-user">
                    <label for="userState">Estado:
                        <input id="userState" placeholder="São paulo" type="text" required>
                    </label>
                    <br>
                    <output id="outputState" class="output-state-off">O campo foi preenchido com caracteres inválidos</output>
                </div>

                <div class="inputs-user">
                    <label for="userEmail"> E-mail:
                        <input id="userEmail" placeholder="email@email.com" type="email" required>
                    </label>
                    <output id="outputEmail" class="output-email-off">O campo não foi preenchido corretamente</output>
                </div>
                
                <div class="inputs-user">
                    <label for="userPhone"> Telefone:
                        <input id="userPhone" placeholder="(XX) XXXXX - XXXX" type="phone" required>
                    </label>
                    <output id="outputPhone" class="output-phone-off">Coloque um numero válido</output>
                </div>

            </fieldset>

            <fieldset>

                <legend>Fale Conosco: </legend>

                <div class="inputs-user">
                    <div class="select">
                        <label for="userMessageQuestion">
                            <select name="question" id="userMessageQuestion">
                                <option value="defect">Meu produto apresentou defeito</option>
                                <option value="testimony">Deixar depoimento</option>
                                <option value="business">Quero ser um parceiro</option>
                                <option value="sugestionOrQuestion" selected>Sugestões e Dúvidas</option>
                            </select>
                        </label>
                    </div>

                    <div class="inputs-user">
                        <textarea name="nameUserMessage" id="userMessage" cols="30" placeholder="Deixe até 2000 caracteres de mensagem" rows="10"></textarea>
                    </div>
                    <output id="messageQuestion" class="output-message-off">Preencha o campo acima</output>
                </div>

            </fieldset>

        </form>

        <div class="box-button">
            <button class="send-button" type="submit">Enviar</button>
        </div>

    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
            crossorigin="anonymous"></script>

    <script src="api_viaCEP.js"></script>
    <script src="form.js"></script>

</body>

</html>
